PETSc version 3.15.5
Fix/Edit manual page

# MatShellGetContext

Returns the user-provided context associated with a shell matrix.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatShellGetContext(Mat mat,void *ctx)

Not Collective

### Input Parameter

| mat | - the matrix, should have been created with MatCreateShell()

### Output Parameter

| ctx | - the user provided context

### Fortran Notes

To use this from Fortran you must write a Fortran interface definition for this function that tells Fortran the Fortran derived data type that you are passing in as the ctx argument.

### See Also

MatCreateShell(), MatShellSetOperation(), MatShellSetContext()

### Level

advanced

### Location

src/mat/impls/shell/shell.c

### Examples

src/mat/tutorials/ex6f.F90.html
src/ts/tutorials/ex20opt_ic.c.html
src/ts/tutorials/ex50.c.html
src/ts/tutorials/ex22f_mf.F90.html
src/tao/unconstrained/tutorials/eptorsion1.c.html
src/tao/bound/tutorials/plate2.c.html
src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/parabolic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html

### Implementations

MatShellGetContext_Shell in src/mat/impls/shell/shell.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages